<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle"
                template="/layout/template.xhtml">
    <ui:define name="body">
        <s:decorate template="/hl7v3/pix/source/iti44template.xhtml">
            <ui:param name="iti44Bean" value="#{revisePatientRecordBean}"/>
            <ui:param name="pageTitle" value="#{messages['gazelle.pam.RevisePatientRecord']}"/>
            <ui:define name="helpText">
                <h:outputText
                        value="#{messages['gazelle.pam.YouCanEitherSelectAPatientToUpdateEitherGenerate']}"
                        styleClass="help-block"/>
            </ui:define>
            <ui:define name="actionOnPatientColumn">
                <g:column id="actionColumn">
                    <f:facet name="header">#{messages['gazelle.simulator.pam.Action']}</f:facet>
                    <g:column id="actionColumn">
                        <f:facet name="header">#{messages['gazelle.simulator.pam.Action']}</f:facet>
                        <h:outputLink
                                value="#{patient.getPermanentLink()}"
                                target="_blank"
                                title="#{messages['gazelle.pam.ViewDetails']}">
                            <s:span styleClass="gzl-icon-search "/>
                        </h:outputLink>
                        <a4j:commandLink actionListener="#{revisePatientRecordBean.actionOnSelectedPatient(patient)}"
                                         render="globalForm" execute="@this">
                            <s:span styleClass="gzl-icon-pencil "/>
                        </a4j:commandLink>
                    </g:column>
                </g:column>
            </ui:define>
            <ui:define name="ddsButtons">
                <a4j:commandButton id="generateButton"
                                   value="#{messages['gazelle.simulator.pam.GeneratePatient']}"
                                   actionListener="#{revisePatientRecordBean.generateAPatient()}"
                                   styleClass="gzl-btn-blue"
                                   render="messageConfigurationPanel"/>
            </ui:define>
            <ui:define name="selectedPatientDivInsert">
                <s:decorate template="/layout/panels/_panel_title_footer.xhtml"
                            id="selectedPatient" rendered="#{revisePatientRecordBean.secondaryPatient != null}">
                    <ui:define name="panel_title">#{messages['gazelle.simulator.pam.SelectedPatientForUpdate']}
                    </ui:define>
                    <ui:include src="/patient/editPatient.xhtml">
                        <ui:param name="patient" value="#{revisePatientRecordBean.secondaryPatient}"/>
                        <ui:param name="renderHistory" value="false"/>
                        <ui:param name="renderEncounters" value="false"/>
                        <ui:param name="renderZFD" value="false"/>
                        <ui:param name="zfp" value="false"/><ui:param name="zfs" value="false"/>
                        <ui:param name="managedBean" value="#{revisePatientRecordBean}"/>
                        <ui:param name="renderRelationships" value="true"/>
                    </ui:include>
                    <ui:define name="panel_footer">
                        <a4j:commandButton value="#{messages['gazelle.simulator.pam.SelectAnotherPatient']}"
                                           actionListener="#{revisePatientRecordBean.switchPatient()}"
                                           render="messageConfigurationPanel"
                                           styleClass="gzl-btn"/>
                    </ui:define>
                </s:decorate>
            </ui:define>
        </s:decorate>
    </ui:define>
</ui:composition>